import 'dart:convert';

import 'package:easy_pass_common/service/authentication_service.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:http/http.dart';
import 'package:http/testing.dart';

import '../fixture_reader.dart';
import '../helper/service_test_helper.dart';

void main() {
  group("Authentication service - ", () {
    
    setUp(() async {
      ServiceTestHelper.setup();
    });

    test("login - will login user", () async {

      var mockClient = MockClient((request) async {
        return Response(jsonEncode(json.decode(fixture('user.json'))), 200);
      });

      AuthenticationService authenticationService = AuthenticationService.withClient(mockClient);
      var res = await authenticationService.login("test-email", "test-password");

      expect(res, isNotNull);
    });
  });
}