import 'dart:convert';

import 'package:easy_pass_common/dto/ticket_status.dart';
import 'package:easy_pass_common/service/ticket_service.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:http/http.dart';
import 'package:http/testing.dart';

import '../fixture_reader.dart';
import '../helper/service_test_helper.dart';

void main() {
  
  setUp(() async {
    ServiceTestHelper.setup();
  });

  group("Ticket service - ", () {
    
    test("updateTicket - will update ticket", () async {

      var mockClient = MockClient((request) async {
        return Response(jsonEncode(json.decode(fixture('ticket.json'))), 200);
      });

      TicketService ticketService = TicketService.withClient(mockClient);
      var res = await ticketService.updateTicket(1, TicketStatus.Approved);

      expect(res, isNotNull);
    });
  });
}