import 'dart:convert';

import 'package:easy_pass_common/service/user_service.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:http/http.dart';
import 'package:http/testing.dart';

import '../fixture_reader.dart';
import '../helper/service_test_helper.dart';

void main() {

  setUp(() async {
    ServiceTestHelper.setup();
  });
    
  group("User service - ", () {
    
    test("getUser - will get user", () async {

      var mockClient = MockClient((request) async {
        return Response(jsonEncode(json.decode(fixture('user.json'))), 200);
      });

      UserService userService = UserService.withClient(mockClient);
      var res = await userService.getUser(1);

      expect(res, isNotNull);
    });
  });
}